﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class MenuUCBreadCrumb : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

        menu.DataSource = CreateTestTable();
        //Establish hierarchy:    
        menu.DataFieldID = "ID";
        menu.DataFieldParentID = "ParentID";
        //Set Text, Value, and NavigateUrl:    
        menu.DataTextField = "Text";
        menu.DataValueField = "ID";
        menu.DataNavigateUrlField = "URL";
        menu.DataBind();

        //implement highlightPath for databound menu
        RadMenuItem currentItem = menu.FindItemByUrl(Request.Url.PathAndQuery);
        if (currentItem != null)
        {

            currentItem.HighlightPath();

        }
        else
            menu.Items[0].HighlightPath();
       
        //implement highlight path for static menu

        RadMenuItem currentItem1 = RadMenu1.FindItemByUrl(Request.Url.PathAndQuery);
        if (currentItem1 != null)
        {

            currentItem1.HighlightPath();

        }
        else
            RadMenu1.Items[0].HighlightPath();

    }

   
    private DataTable CreateTestTable()
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("ParentID");
        table.Columns.Add("Text");
        table.Columns.Add("URL");
        table.Columns.Add("Tooltip");
        table.Rows.Add(new string[] { "1", null, "root 1", "MenuUCBreadCrumbpage.aspx", "root 1 tooltip" });
        table.Rows.Add(new string[] { "2", null, "root 2", "MenuUCBreadCrumbpage.aspx", "root 1 tooltip" });
        table.Rows.Add(new string[] { "3", "1", "child 1.1", "MenuUCBreadCrumbpage.aspx?Page=Forums", "child 1.1 tooltip" });
        table.Rows.Add(new string[] { "4", "1", "child 1.2", "MenuUCBreadCrumbpage.aspx?Page=Blogs", "child 1.2 tooltip" });
        table.Rows.Add(new string[] { "5", "1", "child 1.3", "MenuUCBreadCrumbpage.aspx?Page=Events", "child 1.3 tooltip" });
        table.Rows.Add(new string[] { "6", "5", "child 1.3.1", "MenuUCBreadCrumbpage.aspx?Page=Code Library", "child 1.3.1 tooltip" });
        table.Rows.Add(new string[] { "7", "5", "child 1.3.2", "MenuUCBreadCrumbpage.aspx?Page=Learning Resources", "child 1.3.2 tooltip" });
        table.Rows.Add(new string[] { "8", "5", "child 1.3.3", "MenuUCBreadCrumbpage.aspx?Page=Announcements", "child 1.3.3 tooltip" });
        return table;
    }
}
